Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.datastream
Interface Communicator

All Superinterfaces:
  java.awt.print.Pageable

Deprecated.

    @Deprecated
    public interface Communicator

extends java.awt.print.Pageable

The `Communicator` interface is designed for JReport Engine inner usage, we did not design it for Customer's usage, we strongly recommend that customers do not use it. This interface and it's methods "which previously were exposed in api doc" will be recorded as Deprecated.

Field Summary
`static int` | `FIND_FROM_CURPAGE` Deprecated.
`static java.lang.String` | `getDataStream` Deprecated.
`static java.lang.String` | `getDbBuffer` Deprecated.
`static java.lang.String` | `getHeaderInfo` Deprecated.
`static java.lang.String` | `getIndexColumn` Deprecated.
`static java.lang.String` | `getIndexPages` Deprecated.
`static java.lang.String` | `getPage` Deprecated.
`static java.lang.String` | `getPageNum` Deprecated.
`static java.lang.String` | `getRecordBlock` Deprecated.
`static java.lang.String` | `getSubIdx` Deprecated.
`static java.lang.String` | `getTemplates` Deprecated.
`static java.lang.String` | `isEngineFinished` Deprecated.

Fields inherited from interface java.awt.print.Pageable
`UNKNOWN_NUMBER_OF_PAGES`

Method Summary
`boolean` | `chartInDirtyPages(int pageNum)` Deprecated.
`void` | `clearMem()` Deprecated.
`jet.datastream.FindResult` | `findNext(java.lang.String text, int begPage, boolean matchWholeWord, boolean matchCase)` Deprecated.
`jet.datastream.FindResult` | `findPrev(java.lang.String text, int begPage, boolean matchWholeWord, boolean matchCase)` Deprecated.
`jet.datastream.DSLeafGroup[][]` | `getAllGroupBranch(int subidx)` Deprecated.
`java.io.InputStream` | `getBlob(int subidx, int blobidx, long entry)` Deprecated.
`jet.util.JFieldValueNLSManager` | `getCatalogNlsManager(int subIdx)` Deprecated. Get catalog level {link JFieldValueNLSManager} which current main report or subReport running
`java.lang.String` | `getCatalogNlsPrefix(java.lang.String key)` Deprecated. get catalog Nls datamapping file name by dbfield involved key or chart combination key
`java.util.List<java.lang.String>` | `getCatalogNlsPrefixList(java.lang.String key)` Deprecated. get catalog Nls datamapping file name list by OnScreenFilter involved key
`java.util.Hashtable` | `getChartSummaryInfo(int subIdx, int templateIdx)` Deprecated.
`RandomInputable` | `getContent()` Deprecated.
`DSDataStreamable` | `getDataStream(DSDataStreamable ds, int branchIdx)` Deprecated.
`DSDataStreamable` | `getDataStream(int subidx)` Deprecated.
`jet.dataengine.api.dbbuffer.JDbBufferCursor` | `getDbBuffer(int subidx)` Deprecated.
`jet.datastream.DirtyFieldInParagraphManager` | `getDirtyFieldInParagraphLayoutManager()` Deprecated.
`jet.datastream.DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx)` Deprecated.
`jet.datastream.DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, int drillSecType, java.lang.String largeGrpValue, java.lang.String smallGrpValue)` Deprecated.
`jet.datastream.DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, int drillSecType, java.lang.String largeGrpValue, java.lang.String smallGrpValue, JRObjectResult obj)` Deprecated.
`jet.datastream.DSPage` | `getDrillDownPage(int subidx, int pageIdx, int recordIdx, short templateIndex, int branchIdx, JRObjectResult obj)` Deprecated.
`jet.datastream.DSTOC` | `getDSTOC()` Deprecated.
`java.lang.String` | `getEncoding()` Deprecated.
`jet.datastream.exportInfo.ExportTimeInfo` | `getExportTimeInfo()` Deprecated.
`jet.datastream.DSPage` | `getFastPassPage(int pnum)` Deprecated.
`jet.util.JFieldValueNLSManager` | `getFieldNLSManager()` Deprecated.
`jet.util.JFieldValueNLSManager` | `getFiledNlsManager(int subIdx)` Deprecated. Get {link JFieldValueNLSManager} which current main report or subReport running
`jet.dataengine.api.dbbuffer.JDbBufferData[]` | `getFilterControlValueList(jet.datastream.DSTemplatible template, java.lang.String columnName, int subIndex)` Deprecated.
`java.util.Hashtable` | `getFldSummaryInfo(int subIdx, int templateIdx)` Deprecated.
`int` | `getFromEncoding()` Deprecated.
`jet.datastream.DSLeafGroup` | `getGroupBranch(int subidx, int leafidx)` Deprecated.
`jet.datastream.ReportHeaderInfo` | `getHeaderInfo(int subidx)` Deprecated.
`jet.datastream.ImgInfo` | `getImgInfoInMainRpt()` Deprecated. get ImgInfo in main report, which is only for DSObject of main report to get it when exporting time
`java.io.InputStream` | `getIndexColumn(DbColDesc coldesc)` Deprecated.
`java.io.InputStream` | `getIndexColumn(int colIndex)` Deprecated.
`java.io.InputStream` | `getIndexPages(DbValue value)` Deprecated.
`jet.util.nls.INLSMap` | `getINLSMap(int subIndex)` Deprecated. for condition format apply fontface-fontsize mapping at export time
`java.util.Hashtable<java.lang.Integer,jet.util.nls.INLSMap>` | `getINLSMaps()` Deprecated. for condition format apply fontface-fontsize mapping at export time
`java.util.Vector` | `getLeafGroupIndexes(int subidx)` Deprecated.
`java.util.Vector` | `getLinkComms()` Deprecated.
`Communicator` | `getLinkedComm(int idx)` Deprecated.
`java.lang.String` | `getLinkedInfo(int keyIdx)` Deprecated.
`int` | `getLinkedPage(int keyIdx)` Deprecated.
`java.util.List` | `getListRunTimeInfo(int subIdx, java.lang.String templateName)` Deprecated.
`java.util.Locale` | `getLocale()` Deprecated.
`jet.datastream.DSPage` | `getPage(int pnum)` Deprecated.
`jet.security.PageACL` | `getPageACL()` Deprecated.
`int` | `getPageNum()` Deprecated.
`java.util.Hashtable` | `getParameterBuffer()` Deprecated.
`java.util.Hashtable` | `getparamsSting()` Deprecated.
`int` | `getPhysicalTotalPageNum()` Deprecated.
`java.io.InputStream` | `getRecordBlock(int recordNum, int subidx)` Deprecated.
`int` | `getResolution()` Deprecated.
`int` | `getSubIdx(jet.datastream.DSTemplatible template)` Deprecated.
`java.util.Hashtable` | `getTemplates(int subidx)` Deprecated.
`java.util.TimeZone` | `getTimeZone()` Deprecated.
`int` | `getToEncoding()` Deprecated.
`int` | `getTotalPageNumber(int dsIndex)` Deprecated.
`int` | `getTotalRecordsOfQuery(int queryID, boolean totalOrFetch)` Deprecated.
`void` | `initFonts()` Deprecated.
`boolean` | `isBeStopping()` Deprecated.
`boolean` | `isEngineFinished()` Deprecated.
`boolean` | `isFastPass()` Deprecated.
`boolean` | `isFinish()` Deprecated.
`boolean` | `isHighPrecision()` Deprecated.
`boolean` | `isMain(int subIdx)` Deprecated.
`boolean` | `isPreDefinedCol()` Deprecated.
`void` | `makeChartDataset(int subIdx, jet.datastream.DSChartDataset set)` Deprecated.
`void` | `makeChartStringValue(jet.datastream.DSChartDataset set)` Deprecated.
`void` | `setBeStopping(boolean beStopping)` Deprecated.
`void` | `setDirtyFieldInParagraphLayoutManager(jet.datastream.DirtyFieldInParagraphManager manager)` Deprecated.
`void` | `setPreDefinedCol(boolean isPreDefinedCol)` Deprecated.
`void` | `setResolution(int res)` Deprecated.
`int` | `sizeOfRecord(int subIdx)` Deprecated.
`boolean` | `totalRecordsNull()` Deprecated.
`void` | `waitFinished()` Deprecated.

Methods inherited from interface java.awt.print.Pageable
`getNumberOfPages, getPageFormat, getPrintable`

Field Detail

### getHeaderInfo

    static final java.lang.String getHeaderInfo

  Deprecated.
  See Also:
    Constant Field Values

### getTemplates

    static final java.lang.String getTemplates

  Deprecated.
  See Also:
    Constant Field Values

### getDbBuffer

    static final java.lang.String getDbBuffer

  Deprecated.
  See Also:
    Constant Field Values

### getDataStream

    static final java.lang.String getDataStream

  Deprecated.
  See Also:
    Constant Field Values

### getPage

    static final java.lang.String getPage

  Deprecated.
  See Also:
    Constant Field Values

### getRecordBlock

    static final java.lang.String getRecordBlock

  Deprecated.
  See Also:
    Constant Field Values

### getIndexColumn

    static final java.lang.String getIndexColumn

  Deprecated.
  See Also:
    Constant Field Values

### getIndexPages

    static final java.lang.String getIndexPages

  Deprecated.
  See Also:
    Constant Field Values

### getPageNum

    static final java.lang.String getPageNum

  Deprecated.
  See Also:
    Constant Field Values

### isEngineFinished

    static final java.lang.String isEngineFinished

  Deprecated.
  See Also:
    Constant Field Values

### getSubIdx

    static final java.lang.String getSubIdx

  Deprecated.
  See Also:
    Constant Field Values

### FIND_FROM_CURPAGE

    static final int FIND_FROM_CURPAGE

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### getHeaderInfo

    @Deprecated
    jet.datastream.ReportHeaderInfo getHeaderInfo(int subidx)

  Deprecated.

### getTemplates

    @Deprecated
    java.util.Hashtable getTemplates(int subidx)

  Deprecated.

### getDbBuffer

    @Deprecated
    jet.dataengine.api.dbbuffer.JDbBufferCursor getDbBuffer(int subidx)

  Deprecated.

### getDataStream

    DSDataStreamable getDataStream(int subidx)
                                   throws jet.JRStopEngineException

  Deprecated.
  Throws:
    `jet.JRStopEngineException`

### getDataStream

    DSDataStreamable getDataStream(DSDataStreamable ds,
                                   int branchIdx)

  Deprecated.

### getPage

    @Deprecated
    jet.datastream.DSPage getPage(int pnum)
                                  throws jet.JRStopEngineException

  Deprecated.

  Returns specified `DSPage` which involved to specific page number

  Parameters:
    `pnum` - page number based which we get specified DSPage
  Returns:
    `DSPage` which involved to specific page number
  Throws:
    `jet.JRStopEngineException` - if receive stop order from outside

### getRecordBlock

    @Deprecated
    java.io.InputStream getRecordBlock(int recordNum,
                                                  int subidx)

  Deprecated.

### getIndexColumn

    @Deprecated
    java.io.InputStream getIndexColumn(DbColDesc coldesc)

  Deprecated.

### getIndexColumn

    @Deprecated
    java.io.InputStream getIndexColumn(int colIndex)

  Deprecated.

### getIndexPages

    @Deprecated
    java.io.InputStream getIndexPages(DbValue value)

  Deprecated.

### getPageNum

    @Deprecated
    int getPageNum()

  Deprecated.

  Get total page number

  Returns:
    total page number

### isEngineFinished

    @Deprecated
    boolean isEngineFinished()

  Deprecated.

  Returns true If the report engine "which is involved to this Communicator Object" is finished.

  Returns:
    `true` if the report engine "which is involved to this Communicator Object" is finished.

### getSubIdx

    @Deprecated
    int getSubIdx(jet.datastream.DSTemplatible template)

  Deprecated.

### getGroupBranch

    @Deprecated
    jet.datastream.DSLeafGroup getGroupBranch(int subidx,
                                                         int leafidx)

  Deprecated.

### getAllGroupBranch

    @Deprecated
    jet.datastream.DSLeafGroup[][] getAllGroupBranch(int subidx)

  Deprecated.

### getLeafGroupIndexes

    @Deprecated
    java.util.Vector getLeafGroupIndexes(int subidx)

  Deprecated.

### getDrillDownPage

    @Deprecated
    jet.datastream.DSPage getDrillDownPage(int subidx,
                                                      int pageIdx,
                                                      int recordIdx,
                                                      short templateIndex,
                                                      int branchIdx)
                                           throws jet.JRStopEngineException

  Deprecated.

  Throws:
    `jet.JRStopEngineException`

### getDrillDownPage

    @Deprecated
    jet.datastream.DSPage getDrillDownPage(int subidx,
                                                      int pageIdx,
                                                      int recordIdx,
                                                      short templateIndex,
                                                      int branchIdx,
                                                      JRObjectResult obj)
                                           throws jet.JRStopEngineException

  Deprecated.

  Throws:
    `jet.JRStopEngineException`

### getDrillDownPage

    @Deprecated
    jet.datastream.DSPage getDrillDownPage(int subidx,
                                                      int pageIdx,
                                                      int recordIdx,
                                                      short templateIndex,
                                                      int branchIdx,
                                                      int drillSecType,
                                                      java.lang.String largeGrpValue,
                                                      java.lang.String smallGrpValue)
                                           throws jet.JRStopEngineException

  Deprecated.

  Throws:
    `jet.JRStopEngineException`

### getDrillDownPage

    @Deprecated
    jet.datastream.DSPage getDrillDownPage(int subidx,
                                                      int pageIdx,
                                                      int recordIdx,
                                                      short templateIndex,
                                                      int branchIdx,
                                                      int drillSecType,
                                                      java.lang.String largeGrpValue,
                                                      java.lang.String smallGrpValue,
                                                      JRObjectResult obj)
                                           throws jet.JRStopEngineException

  Deprecated.

  Throws:
    `jet.JRStopEngineException`

### getBlob

    @Deprecated
    java.io.InputStream getBlob(int subidx,
                                           int blobidx,
                                           long entry)

  Deprecated.

### findNext

    @Deprecated
    jet.datastream.FindResult findNext(java.lang.String text,
                                                  int begPage,
                                                  boolean matchWholeWord,
                                                  boolean matchCase)
                                       throws jet.JRStopEngineException

  Deprecated.

  Throws:
    `jet.JRStopEngineException`

### findPrev

    @Deprecated
    jet.datastream.FindResult findPrev(java.lang.String text,
                                                  int begPage,
                                                  boolean matchWholeWord,
                                                  boolean matchCase)

  Deprecated.

### clearMem

    @Deprecated
    void clearMem()

  Deprecated.

  For remove resource that used in Communicator implemention.

### getContent

    @Deprecated
    RandomInputable getContent()

  Deprecated.

  Get report as a RandomInputable.

### setResolution

    @Deprecated
    void setResolution(int res)

  Deprecated.

  Set the Resolution of the printer.

  Parameters:
    `res` - Resolution value which you want to set

### getResolution

    @Deprecated
    int getResolution()

  Deprecated.

  Get the Resolution of the printer.

  Returns:
    the Resolution value

### initFonts

    @Deprecated
    void initFonts()
                   throws java.io.IOException

  Deprecated.

  Init the true type fonts, if there are any.

  Throws:
    `java.io.IOException` - if encounter IO error when load font file.

### makeChartDataset

    void makeChartDataset(int subIdx,
                          jet.datastream.DSChartDataset set)

  Deprecated.

### sizeOfRecord

    int sizeOfRecord(int subIdx)

  Deprecated.

### getLinkedComm

    @Deprecated
    Communicator getLinkedComm(int idx)

  Deprecated.

### getLinkedPage

    int getLinkedPage(int keyIdx)
                      throws jet.JRStopEngineException

  Deprecated.
  Throws:
    `jet.JRStopEngineException`

### getLinkedInfo

    java.lang.String getLinkedInfo(int keyIdx)

  Deprecated.

### getPhysicalTotalPageNum

    @Deprecated
    int getPhysicalTotalPageNum()

  Deprecated.

  If there are linked com inside, return the total page number plus the linked report.

  Returns:
    the total page number plus the linked report.

### getLocale

    @Deprecated
    java.util.Locale getLocale()

  Deprecated.

  Gets current {link Locale}. For supporting NLS

  Returns:
    current Locale

### getEncoding

    @Deprecated
    java.lang.String getEncoding()

  Deprecated.

  Gets current encoding. For supporting NLS.

  Returns:
    current encoding

### getTimeZone

    @Deprecated
    java.util.TimeZone getTimeZone()

  Deprecated.

  Gets current {link TimeZone}. For support NLS.

  Returns:
    current TimeZone

### isPreDefinedCol

    boolean isPreDefinedCol()

  Deprecated.

### setPreDefinedCol

    void setPreDefinedCol(boolean isPreDefinedCol)

  Deprecated.

### isFastPass

    boolean isFastPass()

  Deprecated.

### getFastPassPage

    jet.datastream.DSPage getFastPassPage(int pnum)
                                          throws jet.JRStopEngineException

  Deprecated.
  Throws:
    `jet.JRStopEngineException`

### getLinkComms

    java.util.Vector getLinkComms()

  Deprecated.

### isMain

    boolean isMain(int subIdx)

  Deprecated.

### getDSTOC

    jet.datastream.DSTOC getDSTOC()

  Deprecated.

### getParameterBuffer

    java.util.Hashtable getParameterBuffer()

  Deprecated.

### isBeStopping

    boolean isBeStopping()

  Deprecated.

### setBeStopping

    void setBeStopping(boolean beStopping)

  Deprecated.

### getFieldNLSManager

    jet.util.JFieldValueNLSManager getFieldNLSManager()

  Deprecated.

### getDirtyFieldInParagraphLayoutManager

    jet.datastream.DirtyFieldInParagraphManager getDirtyFieldInParagraphLayoutManager()

  Deprecated.

### setDirtyFieldInParagraphLayoutManager

    void setDirtyFieldInParagraphLayoutManager(jet.datastream.DirtyFieldInParagraphManager manager)

  Deprecated.

### isHighPrecision

    boolean isHighPrecision()

  Deprecated.

### getFromEncoding

    int getFromEncoding()

  Deprecated.

### getToEncoding

    int getToEncoding()

  Deprecated.

### getTotalRecordsOfQuery

    int getTotalRecordsOfQuery(int queryID,
                               boolean totalOrFetch)

  Deprecated.

### totalRecordsNull

    boolean totalRecordsNull()

  Deprecated.

### getTotalPageNumber

    int getTotalPageNumber(int dsIndex)

  Deprecated.

### getparamsSting

    java.util.Hashtable getparamsSting()

  Deprecated.

### isFinish

    boolean isFinish()

  Deprecated.

### getFldSummaryInfo

    java.util.Hashtable getFldSummaryInfo(int subIdx,
                                          int templateIdx)

  Deprecated.

### getChartSummaryInfo

    java.util.Hashtable getChartSummaryInfo(int subIdx,
                                            int templateIdx)

  Deprecated.

### chartInDirtyPages

    boolean chartInDirtyPages(int pageNum)

  Deprecated.

### waitFinished

    void waitFinished()

  Deprecated.

### makeChartStringValue

    void makeChartStringValue(jet.datastream.DSChartDataset set)

  Deprecated.

### getPageACL

    jet.security.PageACL getPageACL()

  Deprecated.

### getListRunTimeInfo

    java.util.List getListRunTimeInfo(int subIdx,
                                      java.lang.String templateName)

  Deprecated.

### getFilterControlValueList

    jet.dataengine.api.dbbuffer.JDbBufferData[] getFilterControlValueList(jet.datastream.DSTemplatible template,
                                                                          java.lang.String columnName,
                                                                          int subIndex)

  Deprecated.

### getExportTimeInfo

    jet.datastream.exportInfo.ExportTimeInfo getExportTimeInfo()

  Deprecated.

### getImgInfoInMainRpt

    jet.datastream.ImgInfo getImgInfoInMainRpt()

  Deprecated.
  get ImgInfo in main report, which is only for DSObject of main report to get it when exporting time

  Returns:
    ImgInfo

### getFiledNlsManager

    jet.util.JFieldValueNLSManager getFiledNlsManager(int subIdx)

  Deprecated.
  Get {link JFieldValueNLSManager} which current main report or subReport running

  Parameters:
    `subIdx,` - subIdx of subReport or mainReport which is defined in layouttime
  Returns:
    {link JFieldValueNLSManager} which current report or subReport running

### getCatalogNlsManager

    jet.util.JFieldValueNLSManager getCatalogNlsManager(int subIdx)

  Deprecated.
  Get catalog level {link JFieldValueNLSManager} which current main report or subReport running

  Parameters:
    `subIdx,` - subIdx of subReport or mainReport which is defined in layouttime
  Returns:
    catalog level {link JFieldValueNLSManager} which current report or subReport running

### getCatalogNlsPrefix

    java.lang.String getCatalogNlsPrefix(java.lang.String key)

  Deprecated.
  get catalog Nls datamapping file name by dbfield involved key or chart combination key

  Parameters:
    `key,` - dbfield involved key or chart combination key
  Returns:
    catalog Nls datamapping file name

### getCatalogNlsPrefixList

    java.util.List<java.lang.String> getCatalogNlsPrefixList(java.lang.String key)

  Deprecated.
  get catalog Nls datamapping file name list by OnScreenFilter involved key

  Parameters:
    `key,` - OnScreenFilter involved key
  Returns:
    catalog Nls datamapping file name list about this OnScreenFilter

### getINLSMaps

    java.util.Hashtable<java.lang.Integer,jet.util.nls.INLSMap> getINLSMaps()

  Deprecated.
  for condition format apply fontface-fontsize mapping at export time

  Returns:

### getINLSMap

    jet.util.nls.INLSMap getINLSMap(int subIndex)

  Deprecated.
  for condition format apply fontface-fontsize mapping at export time

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD